Bug 1655987

Summary: Unable to update Timer Service resource configuration
Product: [JBoss] JBoss Operations Network Reporter: Filip Brychta <fbrychta>
Component: Plugin -- JBoss EAP 7Assignee: Josejulio Martínez <jmartine>
Status: CLOSED CURRENTRELEASE QA Contact: Filip Brychta <fbrychta>
Severity: medium Docs Contact:
Priority: high    
Version: JON 3.3.11CC: jmartine, spinder
Target Milestone: ER01Keywords: Triaged
Target Release: One-off release   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-05-16 09:27:28 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1657856    

Description Filip Brychta 2018-12-04 11:35:25 UTC
Description of problem:
Update of Timer Service resource configuration fails with:
{WFLYCTL0062: Composite operation failed and was rolled back. Steps that failed:={Operation step-1=WFLYCTL0201: Unknown attribute 'path'}}, rolled-back=true


Version-Release number of selected component (if applicable):
JON 3.3.11 + EAP plugin pack 08.CR01

How reproducible:
Always

Steps to Reproduce:
1. start EAP 7 standalone
2. import the EAP 7 standalone from discovery queue
3. run Install RHQ User operation
4. navigate to EAP 7->Subsystems->Container->ejb3->timer-service->Configuration
5. set Path property to test
6. Save

Actual results:
{WFLYCTL0062: Composite operation failed and was rolled back. Steps that failed:={Operation step-1=WFLYCTL0201: Unknown attribute 'path'}}, rolled-back=true


Expected results:
Configuration properties should be up to date and configuration update should be successful.
See /subsystem=ejb3/service=timer-service:read-resource-description


Additional info:
Tried on EAP 7.2 and EAP 7.1
This shoul also affect Timer Service (Profile) resource type.

Comment 1 Josejulio Martínez 2019-04-05 18:14:57 UTC
commit ee87eb131ad6d3e6cae50f90e25f198c1d4a6458
Author: Josejulio Martínez <jmartine@redhat.com>
Date:   Wed Mar 27 16:07:17 2019 -0600

    Bug 1655987 - Update Timer Service attributes